DELETE FROM rlarp.osmp where version = 'b24r1';

INSERT INTO 
    rlarp.osmp	
SELECT
	 ordnum
	,NULL::integer
	,NULL::integer
	,NULL::integer
	,invnum
	,NULL::integer
	,quoten
	,NULL::integer
	,NULL::date
	,NULL::date
	,NULL::date
	,NULL::date
	,NULL::date
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::jsonb
	,NULL::text
	,plnt
	,promo
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::text
	,bill_class
	,substring(bill_cust,1,8)
	,NULL::text
	,NULL::text
	,ship_class
	,substring(ship_cust,1,8)
	,NULL::text
	,NULL::text
	,NULL::text
	,bill_dba
	,ship_dba
	,geo
	,chan
	,chansub
	,NULL::text
	,NULL::text
	,NULL::text
	,bill_ctry
	,bill_prov
	,bill_post
	,dest_ctry
	,dest_prov
	,dest_post
	,part
	,mold
	,substring(colcd,1,3)
	,colgrp
	,substring(coltierd,1,1)
	,NULL::text
	,sizc
	,uomp
	,substring(suffixd,1,position(' -' IN suffixd))
	,accs_ps
	,brnd
	,substring(majgd,1,3)  
	,substring(mingd,1,3)
	,substring(majsd,1,3)
	,substring(minsd,1,3)
	,NULL::text
	,NULL::text
	,glec
	,NULL::text
	,clss
	,NULL::text
	,NULL::text
	,NULL::text
	,NULL::text
    ,case when coalesce(qty,0) = 0 then 0 else pounds/qty end
	,pallets
	,plcd
	,TRIM(fs_line)
	,'US'
	,1
	,'US'
	,1
	,qty
	,sales_usd
	,NULL::numeric
	,NULL::numeric
	,NULL::numeric
	,NULL::numeric
	,stdcost_usd
	,stdcost_cur_usd
	,NULL::numeric
	,calc_status
	,flag
    ,odate
    ,oseas
    ,sdate
    ,sseas
    ,rdate
    ,rseas
    ,pdate
    ,pseas
	,'b24r1'
	,iter
FROM
	public.b;
